---
title: "Contributing to Polyaxon"
sub_link: "contributing"
meta_title: "Contributing to Polyaxon - Core Concepts"
meta_description: "Find out how to contribute to the open source Polyaxon software!"
tags:
    - concepts
    - polyaxon
    - contributing
sidebar: "concepts"
---

Polyaxon is an open source software, and we would be happy to welcome your contributions.


## Development guide

If you're a developer looking to help, but you're not sure where to begin: 
Check out the [good first issue](https://github.com/polyaxon/polyaxon/labels/good%20first%20issue) label on Github, 
which contains small piece of work that have been specifically flagged as being friendly to new contributors.

Or, if you're looking for something a little more challenging, there's a broader [help wanted](https://github.com/polyaxon/polyaxon/labels/help%20wanted) label.

When you're ready, check out the full **[Polyaxon Contributing Guide](https://github.com/polyaxon/polyaxon/blob/master/CONTRIBUTING.md)** for detailed instructions and send changes upstream.


## Other ways to help

The primary way to contribute to Polyaxon is by writing code, but if you're not a developer there are still ways you can help. We always need help with:

- Helping other Polyaxon users on [the community channel](https://join.slack.com/t/polyaxon/shared_invite/enQtMzQ0ODc2MDg1ODc0LWY2ZTdkMTNmZjBlZmRmNjQxYmYwMTBiMDZiMWJhODI2ZTk0MDU4Mjg5YzA5M2NhYzc5ZjhiMjczMDllYmQ2MDg).
- Creating [guides and tutorials](/guides/) and authoring [plugins and integrations](/integrations/)
- Improving our [documentation](https://github.com/polyaxon/polyaxon/tree/master/docs)
- Testing and quality assurance
- Promoting Polyaxon to others
- Reporting issues
